Skip to main content
`Ctrl`+`K`

# PEPVectorsView

Outputs computed eigenvectors to a viewer.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPVectorsView(PEP pep,PetscViewer viewer)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- viewer - the viewer

## Options Database Key

- -pep_view_vectors - output eigenvectors

## Notes

If PETSc was configured with real scalars, complex conjugate eigenvectors will be viewed as two separate real vectors, one containing the real part and another one containing the imaginary part.

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-pep_view_vectors binary:evecs.bin` to save the vectors in a binary file. See `PetscObjectViewFromOptions()` for more details.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPValuesView()`, `PEPErrorView()`

## Level

intermediate

## Location

src/pep/interface/pepview.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages